Debian Bug report logs - #683138
pnp4nagios-web: crashes immediately due to debian/patches/adjust-template-path

version graph

Package: pnp4nagios-web; Maintainer for pnp4nagios-web is Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>; Source for pnp4nagios-web is src:pnp4nagios.

Reported by: Christoph Anton Mitterer <calestyo@scientia.net>

Date: Sun, 29 Jul 2012 02:57:01 UTC

Severity: grave

Tags: moreinfo

Found in version pnp4nagios/0.6.16-1

Fixed in version pnp4nagios/0.6.16-2

Done: Sebastian Harl <tokkee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683138; Package pnp4nagios-web. (Sun, 29 Jul 2012 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
New Bug report received and forwarded. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Sun, 29 Jul 2012 02:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pnp4nagios-web: crashes immediately due to debian/patches/adjust-template-path
Date: Sun, 29 Jul 2012 04:48:16 +0200
Package: pnp4nagios-web
Version: 0.6.16-1
Severity: grave
Justification: renders package unusable


Hi.

The support for /etc/pnp4nagios/templates.d seems to be buggy:
When /etc/pnp4nagios/templates.d is empty (in the sense of no subdirs),
all I get from pnp4nagios is:
>Please check the documentation for information about the following error.
>
>Invalid argument supplied for foreach()
>file [line]:
>
>/etc/pnp4nagios/config.php [234]:

Guess the reason is that the glob("/etc/pnp4nagios/templates.d/*", GLOB_ONLYDIR)
returns nothing and then one has a syntax error?!


Adding a empty dir or removing the foreach in conf.php solves the issue.


Cheers,
Chris.



Added tag(s) moreinfo. Request was from Sebastian Harl <tokkee@debian.org> to control@bugs.debian.org. (Wed, 01 Aug 2012 11:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683138; Package pnp4nagios-web. (Wed, 01 Aug 2012 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <tokkee@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Wed, 01 Aug 2012 12:00:03 GMT) Full text and rfc822 format available.

Message #12 received at 683138@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 683138@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#683138: pnp4nagios-web: crashes immediately due to debian/patches/adjust-template-path
Date: Wed, 1 Aug 2012 13:50:27 +0200
[Message part 1 (text/plain, inline)]
tags 683138 + moreinfo
thanks

Hi,

On Sun, Jul 29, 2012 at 04:48:16AM +0200, Christoph Anton Mitterer wrote:
> The support for /etc/pnp4nagios/templates.d seems to be buggy:
> When /etc/pnp4nagios/templates.d is empty (in the sense of no subdirs),
> all I get from pnp4nagios is:
> >Please check the documentation for information about the following error.
> >
> >Invalid argument supplied for foreach()
> >file [line]:
> >
> >/etc/pnp4nagios/config.php [234]:
> 
> Guess the reason is that the glob("/etc/pnp4nagios/templates.d/*", GLOB_ONLYDIR)
> returns nothing and then one has a syntax error?!

I cannot reproduce this behavior. Which version of PHP do you use? What
architecture are you on? I've tested on amd64 Sid … any other ideas how
your system might be different from mine?

Cheers,
Sebastian

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683138; Package pnp4nagios-web. (Thu, 02 Aug 2012 01:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Thu, 02 Aug 2012 01:27:05 GMT) Full text and rfc822 format available.

Message #17 received at 683138@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: <683138@bugs.debian.org>
Subject: Re: [Pkg-nagios-devel] Bug#683138: pnp4nagios-web: crashes immediately due to debian/patches/adjust-template-path
Date: Thu, 02 Aug 2012 03:24:23 +0200
Am 01.08.2012 13:50, schrieb Sebastian Harl:
> I cannot reproduce this behavior.
Hmm... and you had a clean fresh installation?


> Which version of PHP do you use?
5.4.4-2


> What
> architecture are you on?
amd64


> I've tested on amd64 Sid … any other ideas how
> your system might be different from mine?
Well the base system is stable, but anything pnp4nagios depends on 
(especially PHP) is from testing.

I run PHP as CGI have some limitations in place, well actually just 
open_basedir ... as suhosin is non-functiona ATM.
But the open_basedir includes /etc/pnp4nagios.... so that shouldn't be 
aproblem.


So I did some debugging:
If the dir has no subdirs:
php -r 'var_dump(glob("/etc/pnp4nagios/templates.d/*", GLOB_ONLYDIR));'
PHP Warning:  PHP Startup: Unable to load dynamic library 
'/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: 
cannot open shared object file: No such file or directory in Unknown on 
line 0
bool(false)


If it has:
php -r 'var_dump(glob("/etc/pnp4nagios/templates.d/*", GLOB_ONLYDIR));'
PHP Warning:  PHP Startup: Unable to load dynamic library 
'/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: 
cannot open shared object file: No such file or directory in Unknown on 
line 0
array(3) {
  [0]=>
  string(29) "/etc/pnp4nagios/templates.d/a"
  [1]=>
  string(29) "/etc/pnp4nagios/templates.d/b"
  [2]=>
  string(29) "/etc/pnp4nagios/templates.d/c"
}


You can ignore the Suhosin missing warning.

So I guess the problem is that my PHP doesn't return an empty array but 
false, which is also documented to be the case on "some systems":
http://php.net/manual/en/function.glob.php

Cheers,
Chris.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683138; Package pnp4nagios-web. (Fri, 03 Aug 2012 08:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <tokkee@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Fri, 03 Aug 2012 08:36:04 GMT) Full text and rfc822 format available.

Message #22 received at 683138@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 683138@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#683138: Bug#683138: pnp4nagios-web: crashes immediately due to debian/patches/adjust-template-path
Date: Fri, 3 Aug 2012 10:34:08 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Thu, Aug 02, 2012 at 03:24:23AM +0200, Christoph Anton Mitterer wrote:
> Am 01.08.2012 13:50, schrieb Sebastian Harl:
>> I cannot reproduce this behavior.
> Hmm... and you had a clean fresh installation?

No.

>> Which version of PHP do you use?
> 5.4.4-2

That's the same I used for testing this.

>> What
>> architecture are you on?
> amd64
>
>> I've tested on amd64 Sid … any other ideas how
>> your system might be different from mine?
> Well the base system is stable, but anything pnp4nagios depends on  
> (especially PHP) is from testing.

So, I suppose, you're still using libc from Squeeze, right?

> I run PHP as CGI have some limitations in place, well actually just  
> open_basedir ... as suhosin is non-functiona ATM.
> But the open_basedir includes /etc/pnp4nagios.... so that shouldn't be  
> aproblem.

Well, I suppose that it would not work either way if that was the
problem ;-)

> So I did some debugging:
> If the dir has no subdirs:
> php -r 'var_dump(glob("/etc/pnp4nagios/templates.d/*", GLOB_ONLYDIR));'
> PHP Warning:  PHP Startup: Unable to load dynamic library  
> '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so:  
> cannot open shared object file: No such file or directory in Unknown on  
> line 0
> bool(false)
>
>
> If it has:
> php -r 'var_dump(glob("/etc/pnp4nagios/templates.d/*", GLOB_ONLYDIR));'
> PHP Warning:  PHP Startup: Unable to load dynamic library  
> '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so:  
> cannot open shared object file: No such file or directory in Unknown on  
> line 0
> array(3) {
>   [0]=>
>   string(29) "/etc/pnp4nagios/templates.d/a"
>   [1]=>
>   string(29) "/etc/pnp4nagios/templates.d/b"
>   [2]=>
>   string(29) "/etc/pnp4nagios/templates.d/c"
> }
>
>
> You can ignore the Suhosin missing warning.
>
> So I guess the problem is that my PHP doesn't return an empty array but  
> false, which is also documented to be the case on "some systems":
> http://php.net/manual/en/function.glob.php

Right. I suppose PHP uses the glob(3) function from libc, so you're
"mixed" setup might cause that problem. I fully agree that this should
be fixed, but the question is if this bug is to be considered RC.
Anyway, since the patch is fairly trivial, I'll try to get it into
Wheezy -- after all, there might be other architectures / setups that
would cause this problem as well.

Cheers,
Sebastian

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683138; Package pnp4nagios-web. (Fri, 03 Aug 2012 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Fri, 03 Aug 2012 22:36:05 GMT) Full text and rfc822 format available.

Message #27 received at 683138@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 683138@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#683138: Bug#683138: pnp4nagios-web: crashes immediately due to debian/patches/adjust-template-path
Date: Sat, 04 Aug 2012 00:34:12 +0200
[Message part 1 (text/plain, inline)]
On Fri, 2012-08-03 at 10:34 +0200, Sebastian Harl wrote:
> >> I cannot reproduce this behavior.
> > Hmm... and you had a clean fresh installation?
> No.
But your template.d dir was empty?


> So, I suppose, you're still using libc from Squeeze, right?
Yes... I can't tell easily if this changes the behaviour of PHP's
glob()... that's a production system and I simply upgrade libc for a
test...


> > But the open_basedir includes /etc/pnp4nagios.... so that shouldn't be  
> > aproblem.
> Well, I suppose that it would not work either way if that was the
> problem ;-)
Yep.


> Right. I suppose PHP uses the glob(3) function from libc, so you're
> "mixed" setup might cause that problem. I fully agree that this should
> be fixed, but the question is if this bug is to be considered RC.
No I guess not... I'm not even sure whether this justifies the need for
a breaks or something like this.

I mean I'm fully aware that this mixed setup is not officially
supported ... but it may reveal problem with dependencies that could hit
people during ugpgrades... not in that case it's not really
problematic... because it would be only a short "failure" of
PNP4nagios-web during the upgrade.


> Anyway, since the patch is fairly trivial, I'll try to get it into
> Wheezy -- after all, there might be other architectures / setups that
> would cause this problem as well.
Great!


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683138; Package pnp4nagios-web. (Sun, 05 Aug 2012 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Sun, 05 Aug 2012 23:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 683138@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 683138@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#683138: Bug#683138: pnp4nagios-web: crashes immediately due to debian/patches/adjust-template-path
Date: Mon, 06 Aug 2012 01:18:53 +0200
[Message part 1 (text/plain, inline)]
Hi Sebastian.

I just came to wonder,... what is the template.d actually good for?
Isn't it the same what we already have with /etc/template ?

And even if you planned /etc/template.d as "for use by other packages
only", we have some issues left:
- we'd need the same for the check_commands dir, and the special
templates dir
- nothing actually prevents users from using /etc/template.d
nevertheless, which means one could still get into troubles, when other
packages actually put something there


e.g. the apache packages have similar directories (e.g. sites-available,
mods-available, etc.), where packages (but also users) put their
snippets into.
They do not specially try to avoid conflicts between a users personal
files and name-collision by files from other debian packages.

If that's your concern, than this is actually a much bigger problem in
Debian, which affects not only config files of so many packages, but
also things like user/group names.


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683138; Package pnp4nagios-web. (Sun, 11 Nov 2012 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Sun, 11 Nov 2012 18:36:03 GMT) Full text and rfc822 format available.

Message #37 received at 683138@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Sebastian Harl <tokkee@debian.org>, 683138@bugs.debian.org
Cc: Christoph Anton Mitterer <calestyo@scientia.net>
Subject: Re: Bug#683138: [Pkg-nagios-devel] Bug#683138: Bug#683138: pnp4nagios-web: crashes immediately due to debian/patches/adjust-template-path
Date: Sun, 11 Nov 2012 19:34:16 +0100
[Message part 1 (text/plain, inline)]
On Fri, 03 Aug 2012 10:34:08 +0200, Sebastian Harl wrote:

> > So I did some debugging:
> > If the dir has no subdirs:
> > php -r 'var_dump(glob("/etc/pnp4nagios/templates.d/*", GLOB_ONLYDIR));'
> > PHP Warning:  PHP Startup: Unable to load dynamic library  
> > '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so:  
> > cannot open shared object file: No such file or directory in Unknown on  
> > line 0
> > bool(false)

As expected, this works fine on a (pure) wheezy system:

% mkdir /tmp/foo
% php -r 'var_dump(glob("/tmp/foo/*", GLOB_ONLYDIR));'
array(0) {        
}

> > So I guess the problem is that my PHP doesn't return an empty array but  
> > false, which is also documented to be the case on "some systems":
> > http://php.net/manual/en/function.glob.php
> Right. I suppose PHP uses the glob(3) function from libc, so you're
> "mixed" setup might cause that problem. I fully agree that this should
> be fixed, but the question is if this bug is to be considered RC.

I'm a bit skeptical, too ...

> Anyway, since the patch is fairly trivial, I'll try to get it into
> Wheezy -- after all, there might be other architectures / setups that
> would cause this problem as well.

Doesn't seem to have happened yet :)

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Didier Squiban: Suite de gavottes des montagnes
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683138; Package pnp4nagios-web. (Sat, 24 Nov 2012 11:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Sat, 24 Nov 2012 11:57:11 GMT) Full text and rfc822 format available.

Message #42 received at 683138@bugs.debian.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: tokkee@debian.org
Cc: 683138@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#683138: Bug#683138: pnp4nagios-web:, crashes immediately due to debian/patches/adjust-template-path
Date: Sat, 24 Nov 2012 12:56:25 +0100
Hi Sebastian,

in August, you wrote:
> Anyway, since the patch is fairly trivial, I'll try to get it into
> Wheezy -- after all, there might be other architectures / setups that
> would cause this problem as well.
Judging from the current state of the bug report, nothing has happened 
since.

As this is a release-critical bug, is there any way we can help you to 
get the bug fixed and closed?

Kind Regards,
Stefan Baur (speaking as part of the Debian Bug Squashing Party taking 
place at the Linuxhotel, Essen, Germany this weekend)



Added tag(s) pending. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 15:03:10 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Harl <tokkee@debian.org>:
You have taken responsibility. (Sat, 24 Nov 2012 15:36:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Bug acknowledged by developer. (Sat, 24 Nov 2012 15:36:06 GMT) Full text and rfc822 format available.

Message #49 received at 683138-close@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: 683138-close@bugs.debian.org
Subject: Bug#683138: fixed in pnp4nagios 0.6.16-2
Date: Sat, 24 Nov 2012 15:33:29 +0000
Source: pnp4nagios
Source-Version: 0.6.16-2

We believe that the bug you reported is fixed in the latest version of
pnp4nagios, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683138@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Harl <tokkee@debian.org> (supplier of updated pnp4nagios package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 24 Nov 2012 15:34:54 +0100
Source: pnp4nagios
Binary: pnp4nagios pnp4nagios-bin pnp4nagios-web
Architecture: source all amd64
Version: 0.6.16-2
Distribution: unstable
Urgency: low
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Changed-By: Sebastian Harl <tokkee@debian.org>
Description: 
 pnp4nagios - Nagios addon to create graphs from performance data
 pnp4nagios-bin - Nagios addon to create graphs from performance data (binaries)
 pnp4nagios-web - Nagios addon to create graphs from performance data (web interfac
Closes: 683100 683138
Changes: 
 pnp4nagios (0.6.16-2) unstable; urgency=low
 .
   * debian/control:
     - Adapted versioned build-dep on libjs-jquery-ui to the workaround used by
       that package (1.8.14 -> 1.8.ooops.14). Thanks to Christoph Anton
       Mitterer for reporting this (Closes: #683100).
   * debian/patches/:
     - adjust-template-path: Fixed the patch for empty templates.d and some
       versions of glob() which in this case returns nothing resulting in PHP
       syntax errors and a crash of PNP4Nagios; thanks to Christoph Anton
       Mitterer for reporting this and pointing out a fix (Closes: #683138).
Checksums-Sha1: 
 6f4541963276df1cf3d2a2d705a49927797c06e5 1753 pnp4nagios_0.6.16-2.dsc
 a9395f97a2bef525cd0f3300ff71149fb3adbc47 20168 pnp4nagios_0.6.16-2.diff.gz
 b61e50632ff1f8c06981da1c26df33d93d8a4b08 14136 pnp4nagios_0.6.16-2_all.deb
 749d961cf0a5c00c5cb77161742348e013645b33 2222288 pnp4nagios-web_0.6.16-2_all.deb
 bfc659c0ddc20b4f48395d1e7967c7425363459b 67134 pnp4nagios-bin_0.6.16-2_amd64.deb
Checksums-Sha256: 
 56f22e78768238b03fc3a4463f58426649998833496e146e4d93dcbd2d913877 1753 pnp4nagios_0.6.16-2.dsc
 c63529152f85332fe7d5020d5e5ef55bc924e9baf70969f21bb6009c247494c3 20168 pnp4nagios_0.6.16-2.diff.gz
 bf2040e37271868eadc3263f3d020d41ad7364985132b27b744a8ef92252f07c 14136 pnp4nagios_0.6.16-2_all.deb
 6bce39f91ec950adaecfb7c884baac64079ec03c4d202f4194d63726c13e84a1 2222288 pnp4nagios-web_0.6.16-2_all.deb
 78060c9146ca90f3541dc4d8ff18daafe621db3d9f43b0ed19c29509c85ea606 67134 pnp4nagios-bin_0.6.16-2_amd64.deb
Files: 
 9c28d68fdccc86c321b71f090b2a196a 1753 net optional pnp4nagios_0.6.16-2.dsc
 e87fdb11c7f05deadc9876588c4dbe18 20168 net optional pnp4nagios_0.6.16-2.diff.gz
 e9c2a8474f9a5c63a40fa8c31ad5f9ac 14136 net optional pnp4nagios_0.6.16-2_all.deb
 44ab8be53dd80123f0c67091e6d7321c 2222288 net optional pnp4nagios-web_0.6.16-2_all.deb
 0f401204830f1f388e959aa1bc68af51 67134 net optional pnp4nagios-bin_0.6.16-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQsOIWAAoJEDH85+fdB5RhB3QIAIqaA0ptXo7ES1fk8jdva2xF
I0APdGK6efEe71KWVlwyBcPHvQs4HSI9JZXOZytWtUAsKaK3IRuDEEXL/GwbNQ5F
rH5Lg5u1YqPPWuDGxSx3xE45oPt5GvqdPkYH6T2l5jtC7sL90zGsxHXhHNA+gHhj
Vi2mMJhSKGPLHwoUQexxsonDnevAmNcXWh19Amc5s+vT3knvhoF1dJ19o8gaUYnf
m4Vs2h8fzJjJzTGZIx1BZfckn9QRRRRKDcRkfieeXNLA6A4mVR5cCK9G1WHWiKV/
K06RgbsHvmqaRlOCtIbp7JzT+tTxxQl3nzkES7dc9ZKIY1tsPqyt+p21qlBnB4o=
=C90s
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Jan 2013 07:26:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:14:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.